---
title: HTMLIFrameElement.allowPaymentRequest
slug: Web/API/HTMLIFrameElement/allowPaymentRequest
tags:
  - API
  - HTML DOM
  - Payment Request
  - PaymentRequest
  - Property
  - Reference
  - Reference HTMLIFrameElement
  - allowPaymentRequest
---
<p>{{APIRef("HTML DOM")}}{{deprecated_header}}{{non-standard_header}}</p>

<p>The <strong><code>allowPaymentRequest</code></strong> property of the {{domxref("HTMLIFrameElement")}} interface returns a {{domxref("Boolean")}} indicating whether the <a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a> may be invoked on a cross-origin iframe.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var allow = htmlIFrameElement.allowPaymentRequest</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.HTMLIFrameElement.allowPaymentRequest")}}</p>
</div>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a> </li>
</ul>
